Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Manual Upgrade ERROR  (Read 2131 times)

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Manual Upgrade ERROR
« on: November 09, 2016, 02:56:19 AM »
i recently upgrade my website and i got this error
Error: Could not load database file ! in /home/yugiohor/public_html/core/lib/db.php on line 46

now i cant even proccess to my website or my admin page

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4318
  • Karma: +203/-0
    • View Profile
Re: Manual Upgrade ERROR
« Reply #1 on: November 09, 2016, 04:35:53 AM »
Hello.

Restore backup and try auto or manual upgrade again
“Chuck Norris is so amazing.”
― Mother Teresa

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #2 on: November 09, 2016, 06:09:43 AM »
i tried to update my website twice

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4318
  • Karma: +203/-0
    • View Profile
Re: Manual Upgrade ERROR
« Reply #3 on: November 09, 2016, 06:20:34 AM »
Hello.

From what version you try to update?
Did you change database prefix?
“Chuck Norris is so amazing.”
― Mother Teresa

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #4 on: November 09, 2016, 06:21:41 AM »
from 1.1.9 to 1.2.8

noo i didnt change anything

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #5 on: November 09, 2016, 06:23:41 AM »
i tried to upgrade auto to 1.2.0 but it dont allow me it finds me an error and i tried to upgrade twice manualy to 1.2.8 and again nothing

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #6 on: November 09, 2016, 06:43:16 AM »
is their any way to fix db.php on line 46 instead of retry again and again?

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4318
  • Karma: +203/-0
    • View Profile
Re: Manual Upgrade ERROR
« Reply #7 on: November 09, 2016, 06:46:30 AM »
I suggest you to install fresh AbanteCart 1.2.8 and export data from old 1.1.9 version
“Chuck Norris is so amazing.”
― Mother Teresa

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #8 on: November 09, 2016, 06:47:24 AM »
i tried to do it But!!! my data dont imported correctly basicaly not imported!

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #9 on: November 09, 2016, 04:25:00 PM »
auto upgrade i have this error

Error: Can't find config-file package.xml inside package. Probably package is broken. Structure of package error.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4318
  • Karma: +203/-0
    • View Profile
Re: Manual Upgrade ERROR
« Reply #10 on: November 10, 2016, 01:00:04 AM »
Try step by step manual upgrade process http://docs.abantecart.com/pages/upgrade/manual.html
“Chuck Norris is so amazing.”
― Mother Teresa

Offline YOO

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-1
    • View Profile
Re: Manual Upgrade ERROR
« Reply #11 on: November 11, 2016, 03:35:31 PM »
I did it but the same error

 

Powered by SMFPacks Social Login Mod